Update BYOC Infrastructure
Update configuration of the BYOC infrastructure. Returns the modified infrastructure
PATCH
/
v1
/
organizations
/
{organizationId}
/
byocInfrastructure
/
{byocInfrastructureId}
Update BYOC Infrastructure
curl --request PATCH \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId}"
payload = { "displayName": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>'})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"id": "<string>",
"accountName": "<string>",
"displayName": "<string>"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Update configuration of the BYOC infrastructure. Returns the modified infrastructure
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested BYOC Infrastructure
Body
application/json
Human readable name for infrastructure object
Last modified on July 21, 2026
Was this page helpful?
Previous
Get organization usage costsReturns a grand total and a list of daily, per-entity organization usage cost records for the organization in the queried time period (maximum 31 days). All days in both the request and the response are evaluated based on the UTC timezone.
Next
⌘I
Update BYOC Infrastructure
